local help_message = [[

Omniperf is an open-source performance analysis tool for profiling
machine learning/HPC workloads running on AMD MI GPUs.

Version 2.0.1
]]

help(help_message,"\n")

whatis("Name: omniperf")
whatis("Version: 2.0.1")
whatis("Keywords: Profiling, Performance, GPU")
whatis("Description: tool for GPU performance profiling")
whatis("URL: https://github.com/ROCm/omniperf")

-- Export environmental variables
local topDir="/opt/rocm-6.2.3"
local binDir="/opt/rocm-6.2.3/bin"
local shareDir="/opt/rocm-6.2.3/share"
local pythonDeps="/long_pathname_so_that_rpms_can_package_the_debug_info/src/out/ubuntu-24.04/24.04/build/omniperf/python-libs"

setenv("OMNIPERF_DIR",topDir)
setenv("OMNIPERF_BIN",binDir)
setenv("OMNIPERF_SHARE",shareDir)

-- Update relevant PATH variables
prepend_path("PATH",binDir)
if ( pythonDeps  ~= "" ) then
   prepend_path("PYTHONPATH",pythonDeps)
end

